package gf.cloud.main.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import xstartup.base.exception.XServiceException;

public enum MessageTypeEnum {
    TEXT("text","文本消息"),
    IM("image","图片消息"),
    EMAIL("voice","语音消息"),
    VIDEO("video","视频消息"),
    FILE("file","文件消息"),
    TEXT_CARD("textcard","文本卡片消息"),
    NEWS("news","图文消息"),
    MINIPROGRAM_NOTICE("miniprogram_notice","小程序通知消息"),
    ;

    @EnumValue
    private String key;
    private String value;

    MessageTypeEnum(String key, String value){
        this.value = value;
        this.key = key;
    }


    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    public static MessageTypeEnum findByValue(String key){
        for(MessageTypeEnum item : values()){
            if(item.getKey().equals(key)){
                return item;
            }
        }
        throw new XServiceException(1000,"不支持的消息类型");
    }
}
